#include <iostream>
#include <bits/stdc++.h>
using namespace std;

int main()
{
    long long int x,n;
    cin >>n>>x;
    long long int niz[n];
    long long int i,pom=0,pov=0,s=0,l=0,d=0;
    for(i=0;i<n;i++)
    {
        cin>>niz[i];
    }
    for(i=0;i<n;i++)
    {
        if(niz[i]>x)
        {
            pom=niz[i];
        }
    }
    for(i=0;i<n;i++)
    {
        if(niz[i]<x)
        {
            pov=niz[i];
        }
    }
    d=pom-x;
    if(pom==0)
    {
        d=0;
    }
    l=x-pov;
    if(pov==0)
    {
        l=0;
    }
    if(l==0)
    {
        s=d;
    }
    else if(d==0)
    {
        s=l;
    }

    else if(d>l)
    {
        s=(2*l)+d;
    }
    else
    {
        s=(2*d)+l;
    }
    cout<<s;
    return 0;
}